## atheme-services 3.0.3

=== libmowgli/src/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk

SUBDIRS = libmowgli $(EXAMPLES_BUILD)

include ../mk/objective.mk
