## atheme-services 3.0.4

=== libmowgli/Makefile ===
include mk/rules.mk
include mk/init.mk

SUBDIRS = src

OBJECTIVE_DATA = libmowgli.pc:$(LIBDIR)/pkgconfig

include mk/objective.mk
