=== libmowgli/src/examples/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = randomtest listsort formattertest

include ../../mk/objective.mk
