=== modules/Makefile ===
include ../extra.mk
include ../buildsys.mk

SUBDIRS = alis auth backend botserv chanserv crypto gameserv global groupserv helpserv hostserv infoserv memoserv misc nickserv operserv protocol saslserv xmlrpc $(CONTRIB_ENABLE)
