=== modules/chanserv/Makefile ===
# Copyright (c) 2003-2004 E. Will et al.
# Rights to this code are documented in doc/LICENSE.
#
# This file contains build instructions.
#
# $Id: Makefile.in 8375 2007-06-03 20:03:26Z pippijn $
#

MODULE = chanserv

include ../../extra.mk
include ../../buildsys.mk
include ../../buildsys.module.mk

SRCS =			\
	main.c	\
	access.c \
	akick.c	\
	ban.c		\
	clear.c	\
	clear_bans.c	\
	clear_flags.c	\
	clear_users.c	\
	close.c	\
	count.c	\
	drop.c	\
	fflags.c	\
	flags.c	\
	ftransfer.c	\
	getkey.c	\
	halfop.c	\
	help.c	\
	hold.c	\
	info.c	\
	invite.c	\
	kick.c	\
	list.c	\
	mark.c	\
	op.c		\
	owner.c	\
	protect.c	\
	quiet.c	\
	recover.c	\
	register.c	\
	set.c		\
	set_core.c	\
	set_email.c	\
	set_entrymsg.c	\
	set_fantasy.c	\
	set_founder.c	\
	set_gameserv.c \
	set_guard.c	\
	set_keeptopic.c	\
	set_limitflags.c \
	set_mlock.c	\
	set_prefix.c	\
	set_private.c	\
	set_property.c	\
	set_restricted.c  \
	set_secure.c	\
	set_topiclock.c	\
	set_url.c	\
	set_verbose.c	\
	successor_acl.c \
	status.c	\
	taxonomy.c	\
	template.c	\
	topic.c	\
	unban_self.c	\
	version.c	\
	voice.c	\
	why.c		\
	xop.c

CPPFLAGS	+= -I../../include
