=== debian/watch ===
version=3
http://atheme.net/downloads/ atheme-services-(6\..*)\.tar\.bz2
