## atheme-services 7.2.6

=== include/protocol/Makefile ===
include ../../extra.mk

INCLUDES = \
	asuka.h		\
	bahamut.h	\
	charybdis.h	\
	hybrid.h	\
	inspircd.h	\
	ircd-seven.h	\
	ircnet.h	\
	nefarious.h	\
	ratbox.h	\
	shadowircd.h	\
	undernet.h	\
	unreal.h

includesubdir = $(PACKAGE)/protocol

include ../../buildsys.mk
