=== modules/botserv/Makefile ===
--- 
+++ 
@@ -7,10 +7,6 @@
 #
 
 MODULE = botserv
-
-include ../../extra.mk
-include ../../buildsys.mk
-include ../../buildsys.module.mk
 
 SRCS =			\
 	main.c	\
@@ -23,4 +19,10 @@
 	set_nobot.c	\
 	set_private.c	\
 
+include ../../extra.mk
+include ../../buildsys.mk
+include ../../buildsys.module.mk
+
 CPPFLAGS	+= -I../../include
+LIBS +=	-L../../libathemecore -lathemecore ${LDFLAGS_RPATH}
+
