=== debian/changelog ===
atheme-services (7.2.6-1) unstable; urgency=medium

  * new upstream release (Closes: #747389)
  * fix libmowgli dependency (Closes: #830438)
  * keep minimal logs by default (7 days instead of 52 weeks)
  * make build flags show up
  * clarify why we still use overlays
  * enable reproducible builds (new patch from upstream)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 01 Aug 2016 16:44:41 -0400

atheme-services (7.0.7-2) unstable; urgency=medium

  * fixes for CVE-2014-9773 and CVE-2016-4478
  * fix duplicate changelog

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 03 May 2016 12:08:48 -0400

atheme-services (7.0.7-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Update policy to 3.9.7, no change
  * Upload to unstable (Closes: #747389)
  * Fix changelog install to be reproducible
  * Remove build warnings due to -pedantic
  * Fix homepage URLs
  * Fix watch file to follow upstream change
  * Officially take over maintainership, as I have been performing all
    uploads since this package passed NEW in 2012

  [ Christopher Elsby ]
  * make dbverify path unique so it doesn't clash with 389-ds (Closes:
    #769145)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Mar 2016 20:27:44 -0400

atheme-services (7.0.7-1~exp0) experimental; urgency=low

  [ Jeff Horelick ]
  * New upstream release (Closes: #747389)
  * Disable LDAP, Perl and Cracklib support, as they are incomplete,
    unused or difficult to setup without meddling with extra dependencies
    we want to avoid

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Jul 2014 22:52:14 -0400

atheme-services (7.0.5-1) experimental; urgency=low

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 29 Sep 2012 21:30:27 -0400

atheme-services (7.0.3-1) experimental; urgency=low

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 09 Jun 2012 21:32:33 -0300
