=== debian/control ===
Source: atheme-services
Section: net
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: dpkg-dev (>= 1.16.0)
             , debhelper (>= 9)
             , autotools-dev
             , dh-autoreconf
             , libssl-dev
             , gettext
             , libmowgli-2-dev (>= 2.1.0)
             , pkg-config
Standards-Version: 3.9.7
Homepage: https://atheme.github.io/atheme.html
Vcs-Git: git://anonscm.debian.org/collab-maint/atheme-services.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/atheme-services.git

Package: atheme-services
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: ircd
Description: modular IRC services daemon
 atheme-services is a portable, secure set of open source, modular IRC
 services, designed to run on many IRC server implementations.
 .
 Unlike alternative packages, atheme-services' core is minimalistic,
 providing only core functionality. atheme-services is a complete services
 set, excluding features designed for oper abuse.
