=== debian/watch ===
version=3
https://atheme.github.io/atheme.html downloads/atheme-services-(\d+\..*)\.tar\.bz2
