## atheme-services 7.2.7

=== debian/changelog ===
atheme-services (7.2.7-1) unstable; urgency=medium

  * new upstream release
  * stop using overlay, upstream seems to have cleaned up their thing
  * fix watch file
  * add missing lsb-base dependency
  * update standards version, no change
  * silence lintian warnings about libathemecore
  * new patches to fix FTBFS with OpenSSL 1.1.0 (Closes: #828241):
    * openssl-1.1.0-5480943.patch
    * openssl-1.1.0-b04f18e.patch
  * remove patches factored in upstream:
    * reproducible-f4cd16d.patch (Closes: #818947)
    * CVE-2014-9773.patch
    * CVE-2016-4478.patch

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 16 Nov 2016 09:59:17 -0500
