=== debian/changelog ===
atheme-services (7.2.9-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:33 +0000

atheme-services (7.2.9-1) unstable; urgency=medium

  * new upstream release (7.2.8) fixing security issue "saslserv/main: free
    sasl_sourceinfo_t after use" see:
    https://github.com/atheme/atheme/pull/539
  * new upstream release (7.2.9) fixing security issue introduced in
    7.2.8: "Fix use after free during impersonation" (Closes: #855588)
  * remove two OpenSSL 1.1 patches merged upstream

  [ Jos Ahrens ]
  * email templates: Fix leading whitespace

  [ Aaron Jones ]
  * atheme.conf.example: better highlight the pbkdf2v2 crypto module
  * pbkdf2v2: make digest and rounds configurable at runtime
  * memoserv: let user know (on identify and /away) when their inbox is full
  * memoserv: unregister hooks when unloading

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 07 Feb 2017 21:01:27 -0500
