=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: atheme-services
 Section: net
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
 Uploaders: Micah Anderson <micah@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.0)
              , debhelper (>= 9)
@@ -11,14 +12,16 @@
              , gettext
              , libmowgli-2-dev (>= 2.1.0)
              , pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://atheme.github.io/atheme.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/atheme-services.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/atheme-services.git
 
 Package: atheme-services
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
+       , ${misc:Depends}
+       , lsb-base
 Enhances: ircd
 Description: modular IRC services daemon
  atheme-services is a portable, secure set of open source, modular IRC
