=== debian/watch ===
version=3
https://github.com/atheme/atheme/releases .*/atheme-?((?:\d+\.?)*).tar.bz2
